// TinterView.h : interface of the CTinterView class
//
// Part of Tinter, a small app to demonstrate QColorMatrix.
// Use at your own risk. Comments welcome.
//
// (c) 2003, Sjaak Priester, Amsterdam.
// mailto:sjaak@sjaakpriester.nl

#pragma once


class CTinterView : public CView
{
protected: // create from serialization only
	CTinterView();
	virtual ~CTinterView();

	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);

	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnDraw(CDC* pDC);
	virtual void OnPrint(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);

	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnEditUndo();
	afx_msg void OnUpdateGeneral(CCmdUI *pCmdUI);
	afx_msg LRESULT OnSliderBar(WPARAM wParam, LPARAM lParam);

	bool Save(LPCTSTR pPath);
	void RefreshImage(void);

	Bitmap *m_pBufferBitmap;
	Rect m_Rect;
	ImageAttributes m_Attributes;
	CString m_FilePath;
	ULONG m_SaveQuality;

	DECLARE_DYNCREATE(CTinterView)
	DECLARE_MESSAGE_MAP()
};
